<template>
  <el-bus-crud v-bind="tableConfig" />
</template>

<script>
export default {
  data() {
    return {
      tableConfig: {
        url: 'flower/api/config/content/list',
        newUrl: 'flower/api/config/content/list/save',
        editUrl: 'flower/api/config/content/list/save',
        hasDelete: false,
        hasPagination: false,
        dialogNeedRequest: true,
        columns: [{ label: '名称', prop: 'id' }],
        form: [
          {
            label: '名称：',
            id: 'id',
            type: 'input',
            rules: { required: true, message: '请输入名称', trigger: 'blur' },
            readonly: (row, item, mode) => mode !== 'new',
          },
          {
            label: '内容：',
            id: 'content',
            component: 'base-editor',
            richText: true,
            rules: { required: true, message: '请输入内容', trigger: 'blur' },
          },
        ],
      },
    }
  },
  head() {
    return {
      title: '信息维护',
    }
  },
}
</script>
